# Copyright 2026 Criptomart
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).

from odoo import fields
from odoo import models


class ResConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    batch_summary_restriction_enabled = fields.Boolean(
        related="company_id.batch_summary_restriction_enabled",
        readonly=False,
    )
    batch_summary_restriction_scope = fields.Selection(
        related="company_id.batch_summary_restriction_scope",
        readonly=False,
    )

    batch_detailed_restriction_enabled = fields.Boolean(
        related="company_id.batch_detailed_restriction_enabled",
        readonly=False,
    )
    batch_detailed_restriction_scope = fields.Selection(
        related="company_id.batch_detailed_restriction_scope",
        readonly=False,
    )
